# Created by pyp2rpm-3.3.2
%global pypi_name ffmpeg-normalize

Name:           python-%{pypi_name}
Version:        1.28.2
Release:        %mkrel 1
Summary:        Normalize audio via ffmpeg
Group:          Development/Python
License:        MIT
URL:            https://github.com/slhck/ffmpeg-normalize
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel

%description
A utility for batch-normalizing audio using ffmpeg.

This program normalizes media files to a certain LUFS level using the EBU R128
loudness normalization procedure. It can also perform RMS-based normalization
(where the mean is lifted or attenuated), or peak normalization to a certain
target level.

Batch processing of several input files is possible, including video files.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
 

Obsoletes:      python2-%{pypi_name} < 1.15.2-1

%description -n python3-%{pypi_name}
A utility for batch-normalizing audio using ffmpeg.

This program normalizes media files to a certain LUFS level using the EBU R128
loudness normalization procedure. It can also perform RMS-based normalization
(where the mean is lifted or attenuated), or peak normalization to a certain
target level.

Batch processing of several input files is possible, including video files.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files ffmpeg_normalize

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.md
%{_bindir}/ffmpeg-normalize



%changelog
* Sat Jun 22 2024 kekepower <kekepower> 1.28.2-1.mga10
+ Revision: 2076224
- Update to version 1.28.2

* Wed May 15 2024 kekepower <kekepower> 1.28.1-1.mga10
+ Revision: 2064278
- Update to version 1.28.1

* Mon May 13 2024 kekepower <kekepower> 1.28.0-1.mga10
+ Revision: 2064019
- Update to version 1.28.0

* Tue Apr 02 2024 papoteur <papoteur> 1.27.7-2.mga10
+ Revision: 2053921
- rebuild for python 3.12

* Fri Sep 29 2023 kekepower <kekepower> 1.27.7-1.mga10
+ Revision: 1992231
- Update to version 1.27.7

* Mon Aug 28 2023 kekepower <kekepower> 1.27.6-1.mga10
+ Revision: 1980671
- Update to version 1.27.6

* Sun May 07 2023 kekepower <kekepower> 1.27.3-1.mga9
+ Revision: 1956053
- Update to version 1.27.3

* Tue Apr 25 2023 kekepower <kekepower> 1.27.0-2.mga9
+ Revision: 1954906
- Add upstream patch to fix capping to [1, 50] instead of [1, 7] (gh#230)

* Mon Apr 24 2023 kekepower <kekepower> 1.27.0-1.mga9
+ Revision: 1954763
- Update to version 1.27.0

* Wed Mar 15 2023 kekepower <kekepower> 1.26.4-2.mga9
+ Revision: 1949046
- Add upstream patch to add -hide_banner to ffmpeg

* Wed Feb 08 2023 kekepower <kekepower> 1.26.4-1.mga9
+ Revision: 1939433
- Update to version 1.26.4

* Wed Feb 08 2023 kekepower <kekepower> 1.26.3-1.mga9
+ Revision: 1939421
- Update to version 1.26.3

* Mon Feb 06 2023 kekepower <kekepower> 1.26.2-1.mga9
+ Revision: 1938689
- Update to version 1.26.2

* Sun Dec 18 2022 kekepower <kekepower> 1.26.1-1.mga9
+ Revision: 1925244
- Update to version 1.26.1

* Fri Dec 16 2022 kekepower <kekepower> 1.26.0-1.mga9
+ Revision: 1923645
- Update to version 1.26.0

* Wed Nov 09 2022 kekepower <kekepower> 1.25.3-1.mga9
+ Revision: 1904841
- Update to version 1.25.3

* Thu Sep 15 2022 kekepower <kekepower> 1.25.2-1.mga9
+ Revision: 1888957
- Update to version 1.25.2

* Mon Aug 22 2022 kekepower <kekepower> 1.25.1-1.mga9
+ Revision: 1879243
- Update to version 1.25.1

* Sun Aug 21 2022 kekepower <kekepower> 1.25.0-1.mga9
+ Revision: 1878999
- Update to version 1.25.0

* Sat Aug 06 2022 kekepower <kekepower> 1.24.0-1.mga9
+ Revision: 1875694
- Update to version 1.24.0

* Tue Jul 12 2022 kekepower <kekepower> 1.23.1-1.mga9
+ Revision: 1868611
- Update to version 1.23.1

* Sun May 01 2022 kekepower <kekepower> 1.23.0-1.mga9
+ Revision: 1855378
- Update to version 1.23.0

* Wed Apr 27 2022 kekepower <kekepower> 1.22.10-1.mga9
+ Revision: 1854693
- Update to version 1.22.10

* Wed Mar 23 2022 umeabot <umeabot> 1.22.7-2.mga9
+ Revision: 1823762
- Mageia 9 Mass Rebuild

* Fri Feb 25 2022 kekepower <kekepower> 1.22.7-1.mga9
+ Revision: 1784831
- Update to version 1.22.7

* Sun Feb 20 2022 kekepower <kekepower> 1.22.6-1.mga9
+ Revision: 1781671
- Update to version 1.22.6

* Tue Jan 25 2022 kekepower <kekepower> 1.22.5-1.mga9
+ Revision: 1769743
- Update to version 1.22.5

* Mon Oct 18 2021 kekepower <kekepower> 1.22.4-1.mga9
+ Revision: 1752027
- Update to version 1.22.4

* Sat Aug 14 2021 kekepower <kekepower> 1.22.2-1.mga9
+ Revision: 1741376
- Update to version 1.22.2

* Sat Jun 26 2021 kekepower <kekepower> 1.22.1-1.mga9
+ Revision: 1733528
- Update to version 1.22.1

* Sat Jun 26 2021 wally <wally> 1.16.0-2.mga9
+ Revision: 1732761
- Rebuild for python 3.9

* Thu Apr 09 2020 kekepower <kekepower> 1.16.0-1.mga8
+ Revision: 1565691
- Update to version 1.16.0

* Tue Feb 18 2020 umeabot <umeabot> 1.15.5-2.mga8
+ Revision: 1538799
- Mageia 8 Mass Rebuild

* Wed Nov 27 2019 kekepower <kekepower> 1.15.5-1.mga8
+ Revision: 1463036
- Update to version 1.15.5

* Wed Oct 16 2019 kekepower <kekepower> 1.15.3-1.mga8
+ Revision: 1454024
- Update to version 1.15.3

* Sat Oct 12 2019 tv <tv> 1.15.2-2.mga8
+ Revision: 1452111
- rebuild with python 3.8

* Fri Aug 16 2019 kekepower <kekepower> 1.15.2-1.mga8
+ Revision: 1429422
- Update to version 1.15.2
- Remove Python 2 package

* Mon Jan 07 2019 kekepower <kekepower> 1.3.8-1.mga7
+ Revision: 1351164
- Update to version 1.3.8

* Mon Nov 12 2018 kekepower <kekepower> 1.3.7-1.mga7
+ Revision: 1329634
- Update to version 1.3.7

* Thu Sep 20 2018 umeabot <umeabot> 1.3.1-2.mga7
+ Revision: 1288865
- Mageia 7 Mass Rebuild

* Tue Apr 24 2018 kekepower <kekepower> 1.3.1-1.mga7
+ Revision: 1222198
- Update to version 1.3.1

* Thu Apr 12 2018 kekepower <kekepower> 1.2.3-1.mga7
+ Revision: 1217894
- Update to version 1.2.3

* Wed Apr 11 2018 kekepower <kekepower> 1.2.2-1.mga7
+ Revision: 1217342
- Update to version 1.2.2

* Fri Apr 06 2018 kekepower <kekepower> 1.2.1-1.mga7
+ Revision: 1215592
- Update to version 1.2.1

* Sat Mar 31 2018 kekepower <kekepower> 1.2.0-1.mga7
+ Revision: 1213732
- Update to version 1.2.0

* Wed Mar 07 2018 kekepower <kekepower> 1.1.0-1.mga7
+ Revision: 1207074
- Update to version 1.1.0
- Fix Source0 URL

* Fri Feb 23 2018 kekepower <kekepower> 1.0.9-1.mga7
+ Revision: 1204328
- imported package python-ffmpeg-normalize

